<bugID>1338004<Summary>[meta] Headless browsing mode</Summary><Description>This will be the tracking bug for headless browsing. The first overall goal of headless browsing is to make automated testing of Firefox less painful for developers. One of the first steps towards this will be to support a headless mode in Firefox that can run slimer.js on linux without an X server. 

The initial plan is to have either a command line flag or environment variable that starts Firefox in a mode that doesn&#8217;t call into gtk and creates enough stubs for pages to load and be rendered by a software renderer. 

In a previous effort to make Firefox headless (bug 446591) a completely new headless widget and shell were created. The new approach will be slightly different in that headless won&#8217;t be it&#8217;s own shell/widget, but instead a mode that is supported by all platforms. The benefits of this approach are: any Firefox becomes testable, headless Firefox will closely match release versions, binaries are already being built and distributed, and this will hopefully align with work Chrome is doing (making cross browser testing easier).</Description></bugID>